foreyez foreyez - 12 days ago 6
Objective-C Question

XCode/Simulator: How to run older iOS version?

I'm thinking of upgrading to iOS SDK 4.2. But what I'm wondering is if I'll still be able to run the simulator as iOS 3.2. This is because I'm creating iAds for iPad but I still want to check if my program will run with iOS 3.2.

Note: I have seen a similar post to this in the past, but they weren't really helpful in giving the exact steps in how this could be done.

Thanks in advance!

Answer

If you have iAds in your binary you will not be able to run it on anything before iOS 4.0 and it will be rejected if you try and submit a binary like this.

You can still run the simulator from 3.2 onwards after upgrading.

In the iPhone Simulator try selecting Hardware -> Version -> 3.2

Comments